## org.apache.ivy.osgi.util
Class VersionComparator

    java.lang.Object
      org.apache.ivy.osgi.util.VersionComparator

All Implemented Interfaces:
  java.util.Comparator

    public class VersionComparator

extends java.lang.Object
implements java.util.Comparator

Field Summary
`static java.util.Comparator` `ASCENDING`
`static java.util.Comparator` `DESCENDING`
`boolean` `reverse`

Method Summary
`int` `compare(java.lang.Object o1, java.lang.Object o2)`
`int` `compare(Version objA, Version objB)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### ASCENDING

    public static final java.util.Comparator ASCENDING

### DESCENDING

    public static final java.util.Comparator DESCENDING

### reverse

    public final boolean reverse

Method Detail

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

  Specified by:
    `compare` in interface `java.util.Comparator`

### compare

    public int compare(Version objA,
                       Version objB)